package com.fs.company.param;

import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class CompanyUserChangeApplyAuditParam {
    /**
     * 申请记录ID
     */
    @NotNull(message = "申请记录ID不能为空")
    private Long id;
    /**
     * 状态 0通过 1拒绝
     */
    @NotNull(message = "审核状态不能为空")
    private Integer status;
    /**
     * 原因
     */
    private String reason;
}
