package com.fs.company.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.company.domain.CompanyUserChangeApplyUser;
import com.fs.company.mapper.CompanyUserChangeApplyUserMapper;
import com.fs.company.service.ICompanyUserChangeApplyUserService;
import com.fs.company.vo.CompanyUserChangeApplyUserVO;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class CompanyUserChangeApplyUserServiceImpl extends ServiceImpl<CompanyUserChangeApplyUserMapper, CompanyUserChangeApplyUser> implements ICompanyUserChangeApplyUserService {

    /**
     * 查询申请记录关联用户
     * @param applyId   申请记录ID
     * @return  list
     */
    @Override
    public List<CompanyUserChangeApplyUserVO> getApplyUsers(Long applyId) {
        return baseMapper.getApplyUsers(applyId);
    }

    /**
     * 修改申请记录关联用户销售
     * @param applyId 申请记录ID
     */
    @Override
    public void changeUser(Long applyId) {
        baseMapper.changeUser(applyId);
    }
}
