package com.fs.course.config;

import lombok.Data;

import java.io.Serializable;

@Data
public class CourseConfig implements Serializable {
    private Integer answerRate; //可答题百分比
    private Integer answerErrorCount; //允许错误次数
    private Integer videoLinkExpireDate; //课程小节短链过期时间
    private Integer maxBufferLength;//最大缓冲时长
    private Integer videoIntegral;//每十分钟获取多少积分
    private Integer answerIntegral;//答题获得积分
    private Integer defaultLine;//默认看课线路
    private String realLinkDomainName;//真链域名
    private String registerDomainName;//注册域名
    private String courseDomainName;//链接域名
    private Integer rewardType; // 奖励类型 1红包 2积分
    private Integer redPacketMode;//红包模式 1总公司 2销售公司

}
