package com.fs.course.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsCourseAnswerLogsListVO {


    private Long logId;

    /**
    * 小程序id
    */
    private Long userId;
    /**
    * 小程序用户名
    */
    @Excel(name = "用户")
    private String userName;
    private String fsAvatar;
    /**
    * 课程id
    */
    private Long courseId;
    /**
    * 课程名称
    */
    @Excel(name = "课程名称")
    private String courseName;
    /**
    * 视频id
    */
    private Long videoId;
    /**
    * 视频名称
    */
    @Excel(name = "视频名称",width = 70)
    private String videoName;
    /**
    * 是否全部正确 0否 1是
    */
    private Integer isRight;
    @Excel(name = "是否全部正确")
    private String isRightText;
    /**
    * 创建时间
    */
    @Excel(name = "创建时间")
    private String createTime;
    /**
    * 销售id
    */
    private Long companyUserId;
    /**
    * 销售名称
    */
    @Excel(name = "销售名称")
    private String companyUserName;
    /**
    * 公司id
    */
    private Long companyId;
    /**
    * 公司名称
    */
    @Excel(name = "公司名称")
    private String companyName;
    /**
    * 企业微信员工id
    */
    private Long qwUserId;
    /**
    * 企业微信员工名称
    */
    private String qwUserName;
    private String answer;
    private String questionTitle;
    private String questionJson;
    /**
     * 项目
     */
    private String project;
    /**
     * 项目名称
     */
    private String projectName;

    private Date sTime;
    private Date eTime;
}
