package com.fs.course.vo.newfs;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
public class FsUserCourseVideoPageListVO extends BaseEntity {

    @ApiModelProperty(value = "课程视频id")
    private Long videoId;

    @ApiModelProperty(value = "视频标题")
    private String title;

    @ApiModelProperty(value = "视频描述")
    private String description;

    @ApiModelProperty(value = "视频缩略图")
    private String thumbnail;

    @ApiModelProperty(value = "视频时长")
    private Long duration;

    @ApiModelProperty(value = "课程ID")
    private Long courseId;

    @ApiModelProperty(value = "视频状态 1：草稿，2：待审核，3：发布")
    private Long status;

    @ApiModelProperty(value = "课程排序")
    private Long courseSort;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
