package com.fs.store.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 客户转移dto
 */
@Data
public class FsUserTransferParamDTO implements Serializable {

    /**
     * 来源销售id
     */
    private Long sourceCompanyUserId;
    /**
     * 目标销售id
     */
    private Long targetCompanyUserId;
    /**
     * 客户id
     */
    private List<Long> userIds;

    /**
     * 转移提示内容/原因
     */
    private String content;
}
