package com.fs.store.param;

import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class SelectCusListPageParam extends BaseEntity {
    /**
     * 公司id
     */
    private Long companyId;
    /**
     * 销售id
     */
    private Long companyUserId;

    /**
     * 手机号码
     */
    private String phone;

    private Long pageNum;
    private Long pageSize;
}
