package com.fs.app.param;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 课堂视频对象 fs_user_course_video
 *
 * @author fs
 * @date 2024-05-17
 */
@Data
public class UserCourseVideoParam extends BaseEntity
{

    /** 课程ID */
    @Excel(name = "课程ID")
    @ApiModelProperty(value = "课程ID")
    private Long courseId;

    /** 视频状态 1：草稿，2：待审核，3：发布 */
    @Excel(name = "视频状态 1：草稿，2：待审核，3：发布")
    @ApiModelProperty(value = "视频状态 1：草稿，2：待审核，3：发布")
    private Long status;


}
