package com.fs.app.vo;

import com.fs.company.domain.CompanyUser;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
public class CompanyUserAppVO extends CompanyUser {

    /**
     * 会员数
     */
    private Long vipCount;
    /**
     * 新增会员数
     */
    private Long newVipCount;
    /**
     * 红包数
     */
    private Integer redPacketCount;
    /**
     * 新用户红包金额
     */
    private BigDecimal newVipRedPackAmount;
}
