package com.fs.course.param;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.YearMonth;

@Data
public class FsCourseTrafficLogParam {

    @DateTimeFormat(pattern = "yyyy-MM")
    private YearMonth time;
    /**
     * 公司id
     */
    private Long companyId;
    private Integer year;
    private Integer month;
    /**
     * 项目id
     */
    private Long project;
    /**
     * 课程id
     */
    private Long courseId;

    private String startDate;
    private String endDate;
}
