package com.fs.course.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class FsCourseWatchLogListParam implements Serializable {

    private Long userId;

    private Long qwUserId;


    private Long companyId;

    private Long companyUserId;

    private String companyUserName;
    private String nickName;
    private String externalUserName;
    private Long qwExternalContactId;

    private Long courseId;

    private Long videoId;

    private Integer logType;

    private String sopDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private String upSTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String upETime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private String scheduleStartTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String scheduleEndTime;

    private List<String> sopIds;
    private Long pageNum;
    private Long pageSize;
}
