package com.fs.course.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class FsUserCourseVideoAddKfUParam implements Serializable {

    /**
    * 企微员工 id
    */
    private String qwUserId;

    /**
    * 视频小节id
    */
    @NotNull(message = "视频参数不能为空")
    private Long videoId;


    /**
    * 登录的小程序id
    */
    private Long userId;

    /**
    * 公司id
    */
    private String corpId;

    /**
    *   companyUserId
    */
    private Long companyUserId;
    /**
    * 公司id
    */
    private Long companyId;

    /**
     * 视频课程id
     */
    @NotNull(message = "课程参数不能为空")
    private Long courseId;

    /**
    * 外部联系的id
    */
    private Long qwExternalId;

    private Integer sendType; //归属发送方式：1 个微  2 企微

    private Integer linkType; //链接类型


    private Long linkId;

    private Integer isRoom;

}
