package com.fs.store.param.h5;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 课程分析查询-入参
 */
@Data
@Accessors(chain = true)
public class UserStatisticsCommonParam implements Serializable {

    @ApiModelProperty(value = "登录用户id，不传")
    private Long userId;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "课程id")
    private String courseId;

    @ApiModelProperty(value = "视频id")
    private String videoId;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "群管（二级销售）id")
    private String companyUserId;


}

